import { BaseRepository } from '@slovo/domain/repository';
import { Entity, type EntityId } from '@slovo/domain/entity';
import type { Image } from '@slovo/models/image';
import type { PoolConnection } from 'mariadb';

export class ImageRepository extends BaseRepository<Image> {
  public async get(id: EntityId): Promise<Entity<Image>> {
    const conn = await this.pool.getConnection(); 

    await conn.release();
  }

  public async create(image: Image): Promise<Entity<Image>> {

  }
}
